const fs = require('fs');
const path = require('path');

const appJSONPath = path.resolve('app.json');

function packageDotJSON() {
  const fileName = 'package.json';
  const packageFile = path.resolve(fileName);
  const file = require(packageFile);
  return file;
}

function renameRegister(path, callback) {
  const packageFile = packageDotJSON();
  const register = fs.readFileSync(path, 'utf8');
  const renameRegister = register.replace(/ThinkReactNative/g, packageFile.name);
  fs.writeFileSync(path, renameRegister);

  callback();
}

function renameRegisterComponent(callback) {
  renameRegister(appJSONPath, callback);
}

module.exports = renameRegisterComponent;
