/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { createAppContainer, createStackNavigator } from 'react-navigation';

import { transition } from '@vendor/react-navigation';
import { stackConfig } from '@configs/navigation';
import { modalRouteConfig } from '@configs/route-configs';
import NavigatorContainer from './NavigatorContainer';

// export default createAppContainer(NavigatorContainer);

export default createAppContainer(
  createStackNavigator(
    {
      NavigatorContainer,
      ...modalRouteConfig,
    },
    {
      ...stackConfig,
      mode: 'modal',
      transitionConfig: transition.modalTransition,
    },
  ),
);
