/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { StyleSheet, TextStyle, ViewStyle } from 'react-native';

import { Color } from '@constant';

interface IStyle {
  container: ViewStyle;
  header: ViewStyle;
  headerLeft: ViewStyle;
  headerTitle: ViewStyle;
  title: TextStyle;
  headerRight: ViewStyle;
}

export default StyleSheet.create<IStyle>({
  container: {
    flex: 1,
  },
  header: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    height: 54,
    marginBottom: 10,
    borderBottomColor: Color.lineColor,
    borderBottomWidth: StyleSheet.hairlineWidth,
    backgroundColor: Color.transparent,
  },
  headerLeft: {
    flex: 1,
    justifyContent: 'center',
    height: 44,
  },
  headerTitle: {
    flex: 2,
    justifyContent: 'center',
    alignItems: 'center',
  },
  title: {
    fontSize: 20,
  },
  headerRight: {
    flex: 1,
    justifyContent: 'center',
    height: 44,
  },
});
