/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import React from 'react';
import { Text, TouchableHighlight } from 'react-native';

import { Color } from '@constant';
import styles from './style/index';
import { IButtonProps } from './PropsType';

export default (props: IButtonProps) => (
  <TouchableHighlight
    activeOpacity={0.8}
    underlayColor={Color.darkRed}
    style={[styles.container, props.style]}
    onPress={props.onPress}
  >
    <Text style={[styles.title, props.titleStyle]}>{props.title}</Text>
  </TouchableHighlight>
);
