/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { StyleSheet } from 'react-native';
import { IImageStyle, ITextStyle, IViewStyle } from 'react-native-screen-adapter';

import { Color } from '@constant';

interface IStyle {
  container: IViewStyle;
  title: ITextStyle;
}

export default StyleSheet.create<IStyle>({
  container: {
    justifyContent: 'center',
    alignItems: 'center',
    height$: 48,
    marginTop: 24,
    marginHorizontal: 16,
    backgroundColor: Color.red,
    borderRadius: 4,
  },
  title: {
    color: Color.white,
    $fontSize: '$largeFontSize',
    fontFamily: 'PingFangSC-Medium',
  },
});
