/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import React from 'react';
import { StyleSheet, Button, Image, ImageStyle, Text, TextStyle, View, ViewStyle, SafeAreaView } from 'react-native';
import { IImageStyle, ITextStyle, IViewStyle } from 'react-native-screen-adapter';

import { Color } from '@constant';

interface IStyle {
  container: IViewStyle;
}

export default (props: any) => <SafeAreaView style={styles.container}>{props.children}</SafeAreaView>;

const styles = StyleSheet.create<IStyle>({
  container: {
    flex: 1,
    alignItems: 'center',
    backgroundColor: Color.paleWhite,
  },
});
