/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import React from 'react';
import { StyleSheet, Button, Image, ImageStyle, Text, TextStyle, View, ViewStyle } from 'react-native';
import { IImageStyle, ITextStyle, IViewStyle } from 'react-native-screen-adapter';

import { Color, Images } from '@constant';

interface IStyle {
  container: IViewStyle;
  title: ITextStyle;
}

export default (props: any) => (
  <View style={styles.container}>
    <Image source={Images.emptyList} resizeMode="contain" />
    <Text style={styles.title}>{props.title}</Text>
  </View>
);

const styles = StyleSheet.create<IStyle>({
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
  },
  title: {
    color: '#9E9E9E',
    $fontSize: '$middleFontSize',
    marginTop: 16,
  },
});
