/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import React, { Component } from 'react';
import { Platform, TextInput } from 'react-native';

import styles from './style/index';
import { ITextInputProps, ITextInputState } from './PropsType';

export default class extends Component<ITextInputProps, ITextInputState> {
  public shouldComponentUpdate(nextProps: ITextInputProps) {
    return (
      Platform.OS !== 'ios' ||
      (this.props.value === nextProps.value &&
        (nextProps.defaultValue === undefined || nextProps.defaultValue === '')) ||
      (this.props.defaultValue === nextProps.defaultValue && (nextProps.value === undefined || nextProps.value === ''))
    );
  }

  public render() {
    return <TextInput {...this.props} />;
  }
}
