/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { Method } from '@enum/Method';

export interface IMeta {
  silence?: boolean; // loader should be hidden?
  message?: string; // loader's message.
  resend?: boolean; // should resend request?
  successTitle?: string; // success modal title.
  successMessage?: string; // success message.
  errorTitle?: string; // error modal title.
  errorMessage?: string; // error message.
  method?: Method; // GET or POST.
}

export interface IRequest {
  meta?: IMeta; // extra config
}
