/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { ILocalDataSource } from 'react-bloc';
import { injectable, inject } from 'inversify';

import { PROCESSOR } from '@arch';
import { DBService } from '@service';
import IHomeDataSource from '../IHomeDataSource';

export interface IHomeLocalDataSource extends ILocalDataSource, IHomeDataSource {}

@injectable()
export class HomeLocalDataSource implements IHomeLocalDataSource {
  @inject(PROCESSOR.DBService)
  private dbService: DBService;
}
