/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { injectable, inject } from 'inversify';

import { UseCase } from '@arch';
import { REPOSITORY_TYPES } from '../ioc/types';
import IHomeUseCase from './IHomeUseCase';
import IHomeDataSource from '../data/source/IHomeDataSource';

@injectable()
export default class HomeUseCase extends UseCase implements IHomeUseCase {
  @inject(REPOSITORY_TYPES.HomeRepository)
  private repository: IHomeDataSource;

  public buildUseCasePromise() {
    return Promise.resolve();
  }
}
