/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { IRepository } from 'react-bloc';
import { injectable, inject } from 'inversify';

import { StrategyProcessor } from '@arch';
import { DATA_SOURCE_TYPES } from '../../ioc/types';
import IInformationDataSource from './IInformationDataSource';
import { IInformationLocalDataSource } from '../source/local/InformationLocalDataSource';
import { IInformationRemoteDataSource } from '../source/remote/InformationRemoteDataSource';

@injectable()
export default class InformationRepository implements IRepository, IInformationDataSource {
  @inject(DATA_SOURCE_TYPES.InformationRemoteDataSource)
  private remoteDataSource: IInformationRemoteDataSource;
  @inject(DATA_SOURCE_TYPES.InformationLocalDataSource)
  private localDataSource: IInformationLocalDataSource;
}
