/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { IRepository } from 'react-bloc';
import { injectable, inject } from 'inversify';

import { StrategyProcessor } from '@arch';
import { DATA_SOURCE_TYPES } from '../../ioc/types';
import IMeDataSource from './IMeDataSource';
import { IMeLocalDataSource } from '../source/local/MeLocalDataSource';
import { IMeRemoteDataSource } from '../source/remote/MeRemoteDataSource';

@injectable()
export default class MeRepository implements IRepository, IMeDataSource {
  @inject(DATA_SOURCE_TYPES.MeRemoteDataSource)
  private remoteDataSource: IMeRemoteDataSource;
  @inject(DATA_SOURCE_TYPES.MeLocalDataSource)
  private localDataSource: IMeLocalDataSource;
}
