/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { IRemoteDataSource } from 'react-bloc';
import { injectable, inject } from 'inversify';

import { PROCESSOR } from '@arch';
import { WebService } from '@service';
import IMeDataSource from '../IMeDataSource';

export interface IMeRemoteDataSource extends IRemoteDataSource, IMeDataSource {}

@injectable()
export class MeRemoteDataSource implements IMeRemoteDataSource {
  @inject(PROCESSOR.WebService)
  private webService: WebService;
}
