/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { EnhanceSubject, processModify } from 'react-bloc';
import { injectable, inject } from 'inversify';
import { router } from 'mario-navigation-extension';

import { Bloc } from '@arch';
import { clone } from '@utilities';
import { BLOC_TYPES, USE_CASE_TYPES } from './ioc/types';
import { IMessageUseCase } from './interactor/index';

@injectable()
export default class MessageBloc extends Bloc {
  @inject(USE_CASE_TYPES.MessageUseCase)
  private useCase: IMessageUseCase;

  public token() {
    return BLOC_TYPES.MessageBloc;
  }
}
