/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { ILocalDataSource } from 'react-bloc';
import { injectable, inject } from 'inversify';

import { PROCESSOR } from '@arch';
import { DBService } from '@service';
import IMessageDataSource from '../IMessageDataSource';

export interface IMessageLocalDataSource extends ILocalDataSource, IMessageDataSource {}

@injectable()
export class MessageLocalDataSource implements IMessageLocalDataSource {
  @inject(PROCESSOR.DBService)
  private dbService: DBService;
}
