/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { injectable, inject } from 'inversify';

import { UseCase } from '@arch';
import { REPOSITORY_TYPES } from '../ioc/types';
import IMessageUseCase from './IMessageUseCase';
import IMessageDataSource from '../data/source/IMessageDataSource';

@injectable()
export default class MessageUseCase extends UseCase implements IMessageUseCase {
  @inject(REPOSITORY_TYPES.MessageRepository)
  private repository: IMessageDataSource;

  public buildUseCasePromise() {
    return Promise.resolve();
  }
}
