/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { IRepository } from 'react-bloc';
import { injectable, inject } from 'inversify';

import { StrategyProcessor } from '@arch';
import { DATA_SOURCE_TYPES } from '../../ioc/types';
import IModalDataSource from './IModalDataSource';
import { IModalLocalDataSource } from '../source/local/ModalLocalDataSource';
import { IModalRemoteDataSource } from '../source/remote/ModalRemoteDataSource';

@injectable()
export default class ModalRepository implements IRepository, IModalDataSource {
  @inject(DATA_SOURCE_TYPES.ModalRemoteDataSource)
  private remoteDataSource: IModalRemoteDataSource;
  @inject(DATA_SOURCE_TYPES.ModalLocalDataSource)
  private localDataSource: IModalLocalDataSource;
}
