/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { ILocalDataSource } from 'react-bloc';
import { injectable, inject } from 'inversify';

import { PROCESSOR } from '@arch';
import { DBService } from '@service';
import IModalDataSource from '../IModalDataSource';

export interface IModalLocalDataSource extends ILocalDataSource, IModalDataSource {}

@injectable()
export class ModalLocalDataSource implements IModalLocalDataSource {
  @inject(PROCESSOR.DBService)
  private dbService: DBService;
}
