/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { IRemoteDataSource } from 'react-bloc';
import { injectable, inject } from 'inversify';

import { PROCESSOR } from '@arch';
import { WebService } from '@service';
import IModalDataSource from '../IModalDataSource';

export interface IModalRemoteDataSource extends IRemoteDataSource, IModalDataSource {}

@injectable()
export class ModalRemoteDataSource implements IModalRemoteDataSource {
  @inject(PROCESSOR.WebService)
  private webService: WebService;
}
