/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { injectable, inject } from 'inversify';

import { UseCase } from '@arch';
import { REPOSITORY_TYPES } from '../ioc/types';
import IModalUseCase from './IModalUseCase';
import IModalDataSource from '../data/source/IModalDataSource';

@injectable()
export default class ModalUseCase extends UseCase implements IModalUseCase {
  @inject(REPOSITORY_TYPES.ModalRepository)
  private repository: IModalDataSource;

  public buildUseCasePromise() {
    return Promise.resolve();
  }
}
