/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { createStackNavigator } from 'react-navigation';

import { default as routeConfigs } from '@configs/route-configs';
import { stackConfig } from '@configs/navigation';
import { transition } from '@vendor/react-navigation';
import TabContainer from './TabContainer';
import GuideView from './GuideView';

export default createStackNavigator(
  {
    // GuideView,
    TabContainer,
    ...routeConfigs,
  },
  {
    ...stackConfig,
    transparentCard: true,
    headerMode: 'none',
    transitionConfig: transition.navigatorTransition,
  },
);
