/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { injectable } from 'inversify';

import { to } from '@utilities';

@injectable()
export abstract class UseCase<T = any, P = any, E = Error> {
  public abstract buildUseCasePromise(params?: P): Promise<T>;

  public execute(params?: P): Promise<[E | null, T | undefined]> {
    return to(this.buildUseCasePromise(params));
  }
}
