/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { ResponseCode } from '@enum/ResponseCode';

export interface IResponse<T> {
  data?: T;
  dataList?: T[];
  retMsg: string;
  retCode: string;
}

export interface IError {
  errorCode: ResponseCode;
  errorMessage: string;
  response?: any;
  errorStack?: any;
  businessError: boolean;
}
