/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { IRemoteDataSource } from 'react-bloc';
import { injectable, inject } from 'inversify';

import { PROCESSOR } from '@arch';
import { WebService } from '@service';
import IHomeDataSource from '../IHomeDataSource';

export interface IHomeRemoteDataSource extends IRemoteDataSource, IHomeDataSource {}

@injectable()
export class HomeRemoteDataSource implements IHomeRemoteDataSource {
  @inject(PROCESSOR.WebService)
  private webService: WebService;
}
