/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { ILocalDataSource } from 'react-bloc';
import { injectable, inject } from 'inversify';

import { PROCESSOR } from '@arch';
import { DBService } from '@service';
import IInformationDataSource from '../IInformationDataSource';

export interface IInformationLocalDataSource extends ILocalDataSource, IInformationDataSource {}

@injectable()
export class InformationLocalDataSource implements IInformationLocalDataSource {
  @inject(PROCESSOR.DBService)
  private dbService: DBService;
}
