/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { IRemoteDataSource } from 'react-bloc';
import { injectable, inject } from 'inversify';

import { PROCESSOR } from '@arch';
import { WebService } from '@service';
import IInformationDataSource from '../IInformationDataSource';

export interface IInformationRemoteDataSource extends IRemoteDataSource, IInformationDataSource {}

@injectable()
export class InformationRemoteDataSource implements IInformationRemoteDataSource {
  @inject(PROCESSOR.WebService)
  private webService: WebService;
}
