/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { injectable, inject } from 'inversify';

import { UseCase } from '@arch';
import { REPOSITORY_TYPES } from '../ioc/types';
import IInformationUseCase from './IInformationUseCase';
import IInformationDataSource from '../data/source/IInformationDataSource';

@injectable()
export default class InformationUseCase extends UseCase implements IInformationUseCase {
  @inject(REPOSITORY_TYPES.InformationRepository)
  private repository: IInformationDataSource;

  public buildUseCasePromise() {
    return Promise.resolve();
  }
}
