/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { ILocalDataSource } from 'react-bloc';
import { injectable, inject } from 'inversify';

import { PROCESSOR } from '@arch';
import { DBService } from '@service';
import IMeDataSource from '../IMeDataSource';

export interface IMeLocalDataSource extends ILocalDataSource, IMeDataSource {}

@injectable()
export class MeLocalDataSource implements IMeLocalDataSource {
  @inject(PROCESSOR.DBService)
  private dbService: DBService;
}
