/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { injectable, inject } from 'inversify';

import { UseCase } from '@arch';
import { REPOSITORY_TYPES } from '../ioc/types';
import IMeUseCase from './IMeUseCase';
import IMeDataSource from '../data/source/IMeDataSource';

@injectable()
export default class MeUseCase extends UseCase implements IMeUseCase {
  @inject(REPOSITORY_TYPES.MeRepository)
  private repository: IMeDataSource;

  public buildUseCasePromise() {
    return Promise.resolve();
  }
}
