/**
 * Created by MeePwn
 * https://github.com/maybewaityou
 *
 * description:
 *
 */
import { IRemoteDataSource } from 'react-bloc';
import { injectable, inject } from 'inversify';

import { PROCESSOR } from '@arch';
import { WebService } from '@service';
import IMessageDataSource from '../IMessageDataSource';

export interface IMessageRemoteDataSource extends IRemoteDataSource, IMessageDataSource {}

@injectable()
export class MessageRemoteDataSource implements IMessageRemoteDataSource {
  @inject(PROCESSOR.WebService)
  private webService: WebService;
}
